Monitor API
List monitors
List your API organization’s monitors, newest first.
GET
/
v1
/
monitors
curl "https://api.perplexity.ai/v1/monitors?limit=20" \
--header "Authorization: Bearer $PERPLEXITY_API_KEY" | jq
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "monitor",
"name": "<string>",
"goal": "<string>",
"targets": [
{
"type": "search",
"query": "<string>",
"max_results": 10,
"filters": {
"freshness": [
"published"
],
"include_domains": [
"<string>"
],
"exclude_domains": [
"<string>"
]
}
}
],
"schedule": {
"type": "interval",
"interval": "<string>"
},
"metadata": {},
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"webhook": {
"url": "<string>",
"events": [
"monitor.changes.detected"
],
"secret": "<string>"
},
"pause_reason": "user",
"current_run_id": "<string>",
"next_run_at": "2023-11-07T05:31:56Z",
"last_run": {
"id": "<string>",
"status": "queued",
"change_count": 123,
"finished_at": "2023-11-07T05:31:56Z"
}
}
],
"has_more": true
}{
"error": {
"message": "<string>",
"type": "invalid_request",
"code": 123,
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request",
"code": 123,
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request",
"code": 123,
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request",
"code": 123,
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request",
"code": 123,
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request",
"code": 123,
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request",
"code": 123,
"param": "<string>"
}
}The response contains monitors in
data and a has_more flag. When has_more is true, pass the last monitor’s data[].id as after to fetch the next page.
curl "https://api.perplexity.ai/v1/monitors?limit=20" \
--header "Authorization: Bearer $PERPLEXITY_API_KEY" | jq
Authorizations
Query Parameters
Was this page helpful?
⌘I
curl "https://api.perplexity.ai/v1/monitors?limit=20" \
--header "Authorization: Bearer $PERPLEXITY_API_KEY" | jq
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "monitor",
"name": "<string>",
"goal": "<string>",
"targets": [
{
"type": "search",
"query": "<string>",
"max_results": 10,
"filters": {
"freshness": [
"published"
],
"include_domains": [
"<string>"
],
"exclude_domains": [
"<string>"
]
}
}
],
"schedule": {
"type": "interval",
"interval": "<string>"
},
"metadata": {},
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"webhook": {
"url": "<string>",
"events": [
"monitor.changes.detected"
],
"secret": "<string>"
},
"pause_reason": "user",
"current_run_id": "<string>",
"next_run_at": "2023-11-07T05:31:56Z",
"last_run": {
"id": "<string>",
"status": "queued",
"change_count": 123,
"finished_at": "2023-11-07T05:31:56Z"
}
}
],
"has_more": true
}{
"error": {
"message": "<string>",
"type": "invalid_request",
"code": 123,
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request",
"code": 123,
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request",
"code": 123,
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request",
"code": 123,
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request",
"code": 123,
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request",
"code": 123,
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request",
"code": 123,
"param": "<string>"
}
}